Name:		fwlogwatch
Version:	1.4
Release:	1.3
Group:		Productivity/Networking/Security
URL:		http://fwlogwatch.inside-security.de/
License:	GPL
Summary:	Firewall log analyzer, report generator and realtime response agent
Source0:	%{name}-%{version}.tar.bz2
Patch0:		fwlogwatch-suse-init.patch
BuildRequires:	flex
BuildRequires:	zlib-devel
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot

%description
fwlogwatch produces Linux ipchains, Linux netfilter/iptables,
Solaris/BSD/Irix/HP-UX ipfilter, Cisco IOS, Cisco PIX/ASA, NetScreen, Elsa
Lancom router and Snort IDS log summary reports in plain text and HTML form
and has a lot of options to analyze and display relevant patterns. It also
can run as daemon (with web interface) doing realtime log monitoring and
reporting anomalies or starting attack countermeasures.

%prep
%setup
%patch0

%build
%__make

%install
%__install -d %{buildroot}%{_sbindir}
%if 0%{?redhat_version} || 0%{?centos_version} || 0%{?fedora_version} || 0%{?sl_version} || 0%{?rhel_version}
%__install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
%endif

%if 0%{?suse_version}
%__install -d %{buildroot}%{_sysconfdir}/init.d
%endif
%__install -d %{buildroot}%{_mandir}/man8
%__install -d %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
%__install -d %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
%__install -d %{buildroot}%{_datadir}/locale/pt/LC_MESSAGES
%__install -d %{buildroot}%{_datadir}/locale/sv/LC_MESSAGES
%__install -d %{buildroot}%{_datadir}/locale/zh_CN/LC_MESSAGES
%__install -d %{buildroot}%{_datadir}/locale/zh_TW/LC_MESSAGES
%__make install INSTALL_DIR=%{buildroot}%{_prefix}
%__make install-config CONF_DIR=%{buildroot}%{_sysconfdir}
%__make install-i18n LOCALE_DIR=%{buildroot}%{_prefix}
%if 0%{?redhat_version} || 0%{?centos_version} || 0%{?fedora_version} || 0%{?sl_version} || 0%{?rhel_version}
%__make install-rhinit CONF_DIR=%{buildroot}%{_sysconfdir}
%endif
%if 0%{?suse_version}
%__install -m0755 contrib/fwlogwatch.init.suse %{buildroot}%{_sysconfdir}/init.d/fwlogwatch
%endif

%clean
[ -n "%{buildroot}" ] && %__rm -rf "%{buildroot}"
( cd "${RPM_BUILD_DIR}" && %__rm -rf "%{name}-%{version}" )

%preun
if [ $1 == 0 ] ; then
 %if 0%{?suse_version}
  %stop_on_removal
 %else
  /sbin/service fwlogwatch stop || :
 %endif
fi

%postun
if [ $1 == 0 ] ; then
 %if 0%{?suse_version}
  %insserv_cleanup
 %else
  /sbin/chkconfig --del fwlogwatch || :
 %endif
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog README
%doc contrib/fwlogsummary.cgi contrib/fwlogsummary_small.cgi
%doc contrib/fwlogwatch.php
%config(noreplace) %{_sysconfdir}/fwlogwatch.config
%if 0%{?redhat_version} || 0%{?centos_version} || 0%{?fedora_version} || 0%{?sl_version} || 0%{?rhel_version}
%{_sysconfdir}/rc.d/init.d/fwlogwatch
%endif
%if 0%{?suse_version}
%{_sysconfdir}/init.d/fwlogwatch
%endif
%config(noreplace) %{_sbindir}/fwlw_notify
%config(noreplace) %{_sbindir}/fwlw_respond
%{_sbindir}/fwlogwatch
%{_mandir}/man8/fwlogwatch.8.gz
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/fwlogwatch.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/fwlogwatch.mo
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/fwlogwatch.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/fwlogwatch.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/fwlogwatch.mo
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/fwlogwatch.mo

%changelog
* Sat May 25 2013 cs@linux-administrator.com
- update to release 1.4
